Package ru.bitel.common.inet

# Class IpNet

java.lang.Object
ru.bitel.common.inet.IpNet

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IpResourceNet`

public class IpNet extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `mask`
  `protected byte[]`
  `subnet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpNet()`
  `IpNet(byte[] subnet, int mask)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `byte[]`
  `getBroadcast()`
  `static byte[]`
  `getBroadcast(byte[] subnet, int mask)`
  192.168.1.255
  `byte[]`
  `getHostMax()`
  `byte[]`
  `getHostMin()`
  `int`
  `getMask()`
  `static int`
  `getMask(byte[] addressFrom, byte[] addressTo)`
  `byte[]`
  `getMaxIp()`
  `byte[]`
  `getNetmask()`
  `static byte[]`
  `getNetmask(int size, int mask)`
  255.255.255.0
  `byte[]`
  `getNetmaskWildcard()`
  `static byte[]`
  `getNetmaskWildcard(int size, int mask)`
  0.0.0.255
  `byte[]`
  `getSubnet()`
  `int`
  `hashCode()`
  `boolean`
  `inNet(byte[] address)`
  `static boolean`
  `inNet(byte[] address, byte[] subnet, int mask)`
  `static int`
  `maskToInt(byte[] mask)`
  `static IpNet`
  `newInstance(byte[] addressFrom, byte[] addressTo)`
  Создание новой подсети из правильного диапазона.
  `void`
  `setMask(int mask)`
  `void`
  `setSubnet(byte[] subnet)`
  `static String`
  `toRFCString(byte[] addressFrom, byte[] addressTo)`
  Возвращает строковое представление подсети.
  `String`
  `toString()`
  `static String`
  `toString(byte[] addressFrom, byte[] addressTo)`
  Возвращает строковое представление подсети.
  `static String`
  `toString(byte[] subnet, int mask)`
  Возвращает строковое представление подсети.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### subnet

    protected byte[] subnet

  - ### mask

    protected int mask

- ## Constructor Details

  - ### IpNet

    public IpNet()

  - ### IpNet

    public IpNet(byte[] subnet, int mask)

- ## Method Details

  - ### getSubnet

    public byte[] getSubnet()

  - ### setSubnet

    public void setSubnet(byte[] subnet)

  - ### getMask

    public int getMask()

  - ### setMask

    public void setMask(int mask)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public static String toString(byte[] subnet, int mask)
    Возвращает строковое представление подсети.
    Parameters:
      `subnet` -
      `mask` -
    Returns:

  - ### toString

    public static String toString(byte[] addressFrom, byte[] addressTo)
    Возвращает строковое представление подсети.
    Parameters:
      `subnet` -
      `mask` -
    Returns:

  - ### toRFCString

    public static String toRFCString(byte[] addressFrom, byte[] addressTo)
    Возвращает строковое представление подсети.
    Parameters:
      `subnet` -
      `mask` -
    Returns:

  - ### maskToInt

    public static int maskToInt(byte[] mask)

  - ### getHostMin

    public byte[] getHostMin()

  - ### getHostMax

    public byte[] getHostMax()

  - ### getBroadcast

    public byte[] getBroadcast()

  - ### getNetmaskWildcard

    public byte[] getNetmaskWildcard()

  - ### getNetmask

    public byte[] getNetmask()

  - ### getMaxIp

    public byte[] getMaxIp()

  - ### getMask

    public static int getMask(byte[] addressFrom, byte[] addressTo)

  - ### newInstance

    public static IpNet newInstance(byte[] addressFrom, byte[] addressTo)
    Создание новой подсети из правильного диапазона.
    Parameters:
      `addressFrom` -
      `addressTo` -
    Returns:

  - ### inNet

    public boolean inNet(byte[] address)

  - ### inNet

    public static boolean inNet(byte[] address, byte[] subnet, int mask)

  - ### getNetmaskWildcard

    public static byte[] getNetmaskWildcard(int size, int mask)
    0.0.0.255
    Parameters:
      `size` -
      `mask` -
    Returns:

  - ### getNetmask

    public static byte[] getNetmask(int size, int mask)
    255.255.255.0
    Parameters:
      `size` -
      `mask` -
    Returns:

  - ### getBroadcast

    public static byte[] getBroadcast(byte[] subnet, int mask)
    192.168.1.255
    Parameters:
      `subnet` -
      `mask` -
    Returns:

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`